<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="es.verdnatura.presentation.view.feature.delivery.model.ClientTicketSalix" />
    </data>

<androidx.constraintlayout.widget.ConstraintLayout
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:id="@+id/linearLayout3"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimaryDark"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="5dp"
            android:layout_height="match_parent"
            android:background="@color/colorPrimary"
            android:orientation="vertical" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:background="@color/verdnatura_black_1">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/verdnatura_black_1"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:paddingStart="@dimen/ef_padding_small"
                    android:paddingTop="5dp"
                    android:paddingEnd="1dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:id="@+id/textView23"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="@dimen/ef_padding_small"
                        android:text="@string/Cliente"
                        android:textColor="@color/verdnatura_warm_grey" />

                    <TextView
                        android:id="@+id/textView21"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{String.valueOf(item.clientFk)}"
                        app:autoSizeMaxTextSize="18sp"
                        android:textSize="18sp"
                        android:textColor="@color/verdnatura_white"
                        tools:text="Cliente1"/>

                    <TextView
                        android:id="@+id/textView18"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.1"
                        android:textAlignment="viewEnd"
                        android:text="@string/consignatario"
                         android:textColor="@color/verdnatura_warm_grey"
                        />

                    <TextView
                        android:id="@+id/textView17"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="@{String.valueOf(item.addressFk)}"
                        android:textAlignment="center"
                        android:maxLines="1"
                        android:textColor="@color/verdnatura_white"
                        android:textSize="28sp"
                        android:textStyle="bold"
                        tools:text="28058"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:paddingStart="5dp"
                    android:paddingEnd="5dp"
                    android:paddingBottom="5dp">

                    <TextView
                        android:id="@+id/textView25"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="@{item.nickname}"
                        android:textColor="@color/verdnatura_white"
                        android:textSize="18sp"
                        tools:text="LA FLOR VALENCIA"/>

                    <TextView
                        android:id="@+id/textView24"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="@{item.street}"
                        android:textAllCaps="true"
                        android:textColor="@color/colorPrimary"
                        tools:text="C/ Les flors,1"/>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal">


                        <TextView
                            android:id="@+id/textView27"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="8dp"
                            android:layout_weight="0"
                            android:text="@{String.valueOf(item.postalCode)}"
                            android:textColor="@color/colorPrimary"
                            tools:text="46450"/>

                        <TextView
                            android:id="@+id/textView26"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="0"
                            android:text="@{item.city}"
                            android:textAllCaps="true"
                            android:textColor="@color/colorPrimary"
                            tools:text="valencia"
                            />
                    </LinearLayout>
                    <TextView
                        android:id="@+id/txtNote"
                        android:layout_width="wrap_content"
                        android:layout_height="0dp"
                        android:layout_weight="0"

                        android:text=""
                        android:textAllCaps="true"
                        android:textColor="@color/verdnatura_white"
                        android:visibility="gone"/>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/layoutTickets"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@color/verdnatura_black_1"
                    android:orientation="horizontal"
                    android:baselineAligned="false"
                    android:padding="@dimen/ef_padding_small">

                    <LinearLayout
                        android:id="@+id/btnNote"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="horizontal"
                       >

                        <ImageView
                            android:id="@+id/note"
                            android:layout_width="wrap_content"
                            android:layout_height="32dp"
                            android:contentDescription="@string/notes"
                            app:srcCompat="@drawable/ic_note" />
                    </LinearLayout>
                    <LinearLayout
                        android:id="@+id/btnAddNote"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="horizontal"
                        >

                        <ImageView
                            android:id="@+id/addNote"
                            android:layout_width="wrap_content"
                            android:layout_height="32dp"
                            app:srcCompat="@drawable/ic_note_add"
                            android:contentDescription="@string/notes"/>
                    </LinearLayout>
                    <LinearLayout
                        android:id="@+id/btnPhone"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="horizontal"
                        >

                        <ImageView
                            android:id="@+id/phone"
                            android:layout_width="wrap_content"
                            android:layout_height="32dp"
                            app:srcCompat="@drawable/ic_phone"
                            android:contentDescription="@string/phone"/>
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/btnMap"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="horizontal"

                        >

                        <ImageView
                            android:id="@+id/map"
                            android:layout_width="wrap_content"
                            android:layout_height="32dp"
                            app:srcCompat="@drawable/ic_location"
                            android:contentDescription="@string/map"/>
                    </LinearLayout>
                    <LinearLayout
                        android:id="@+id/btnUnload"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="horizontal"
                       >

                        <ImageView
                            android:id="@+id/unload"
                            android:layout_width="wrap_content"
                            android:layout_height="32dp"
                            app:srcCompat="@drawable/camion_descarga"
                            android:contentDescription="@string/loadRoute"/>
                    </LinearLayout>
                    <LinearLayout
                        android:id="@+id/btnSign"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:visibility="gone"
                        android:padding="8dp">

                    </LinearLayout>

                </LinearLayout>

            </LinearLayout>

        </LinearLayout>
    </LinearLayout>


</androidx.constraintlayout.widget.ConstraintLayout>
</layout>
